Subject: Re: Cutting the link on ndo_stop - phy_stop or phy_disconnect?

From: Andrew Lunn <[email-masked]>
Date: Tue, 4 Jun 2019 23:56:18 +0200

> For a switch, there are four stages, not two:

Agreed.
 
> 1. The out-of-reset state, which from what I've seen seems to be to
>    behave like a dumb switch.

For the Marvell Switches, there is a pin you can strap to control
this, NO_CPU. If you say there is no CPU, it will power up in dumb
switch mode, and potentially bring your network down with a broadcast
storm because of loops.

So yes, you need to think about this at all four stages, and make sure
your hardware engineer is also on board.

     Andrew